Package com.mockobjects.sql

# Class MockMultiRowResultSet

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.sql.MockMultiRowResultSet

All Implemented Interfaces:
  `Verifiable`, `AutoCloseable`, `ResultSet`, `Wrapper`

public class MockMultiRowResultSet extends MockObject

## Field Summary

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

## Constructor Summary

Constructors
Constructor
Description
`MockMultiRowResultSet()`
`MockMultiRowResultSet(String name)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`absolute(int row)`
Calls notImplemented.
`void`
`afterLast()`
Calls notImplemented.
`void`
`beforeFirst()`
Calls notImplemented.
`void`
`cancelRowUpdates()`
Calls notImplemented.
`void`
`clearWarnings()`
Calls notImplemented.
`void`
`close()`
`void`
`deleteRow()`
Calls notImplemented.
`int`
`findColumn(String columnName)`
Calls notImplemented.
`boolean`
`first()`
Calls notImplemented.
`Array`
`getArray(int i)`
`Array`
`getArray(String colName)`
`InputStream`
`getAsciiStream(int columnIndex)`
`InputStream`
`getAsciiStream(String columnName)`
`BigDecimal`
`getBigDecimal(int columnIndex)`
`BigDecimal`
`getBigDecimal(int columnIndex, int scale)`
`BigDecimal`
`getBigDecimal(String columnName)`
`BigDecimal`
`getBigDecimal(String columnName, int scale)`
`InputStream`
`getBinaryStream(int columnIndex)`
`InputStream`
`getBinaryStream(String columnName)`
`Blob`
`getBlob(int i)`
`Blob`
`getBlob(String colName)`
`boolean`
`getBoolean(int columnIndex)`
`boolean`
`getBoolean(String columnName)`
`byte`
`getByte(int columnIndex)`
`byte`
`getByte(String columnName)`
`byte[]`
`getBytes(int columnIndex)`
`byte[]`
`getBytes(String columnName)`
`Reader`
`getCharacterStream(int columnIndex)`
`Reader`
`getCharacterStream(String columnName)`
`Clob`
`getClob(int i)`
`Clob`
`getClob(String colName)`
`int`
`getConcurrency()`
`String`
`getCursorName()`
`Date`
`getDate(int columnIndex)`
`Date`
`getDate(int columnIndex, Calendar cal)`
`Date`
`getDate(String columnName)`
`Date`
`getDate(String columnName, Calendar cal)`
`double`
`getDouble(int columnIndex)`
`double`
`getDouble(String columnName)`
`int`
`getFetchDirection()`
Calls notImplemented.
`int`
`getFetchSize()`
Calls notImplemented.
`float`
`getFloat(int columnIndex)`
`float`
`getFloat(String columnName)`
`int`
`getInt(int columnIndex)`
`int`
`getInt(String columnName)`
`long`
`getLong(int columnIndex)`
`long`
`getLong(String columnName)`
`ResultSetMetaData`
`getMetaData()`
`Object`
`getObject(int columnIndex)`
Used as the base implementation for getting all types of object, based on 1-based column index
`Object`
`getObject(int i, Map map)`
Calls notImplemented.
`Object`
`getObject(String columnName)`
Used as the base implementation for getting all types of object, based on columnName
`Object`
`getObject(String colName, Map map)`
Calls notImplemented.
`Ref`
`getRef(int i)`
`Ref`
`getRef(String colName)`
`int`
`getRow()`
`short`
`getShort(int columnIndex)`
`short`
`getShort(String columnName)`
`Statement`
`getStatement()`
`String`
`getString(int columnIndex)`
`String`
`getString(String columnName)`
`Time`
`getTime(int columnIndex)`
`Time`
`getTime(int columnIndex, Calendar cal)`
`Time`
`getTime(String columnName)`
`Time`
`getTime(String columnName, Calendar cal)`
`Timestamp`
`getTimestamp(int columnIndex)`
`Timestamp`
`getTimestamp(int columnIndex, Calendar cal)`
`Timestamp`
`getTimestamp(String columnName)`
`Timestamp`
`getTimestamp(String columnName, Calendar cal)`
`int`
`getType()`
Calls notImplemented.
`InputStream`
`getUnicodeStream(int columnIndex)`
`InputStream`
`getUnicodeStream(String columnName)`
`SQLWarning`
`getWarnings()`
Calls notImplemented.
`void`
`insertRow()`
Calls notImplemented.
`boolean`
`isAfterLast()`
Calls notImplemented.
`boolean`
`isBeforeFirst()`
Calls notImplemented.
`boolean`
`isFirst()`
Calls notImplemented.
`boolean`
`isLast()`
Calls notImplemented.
`boolean`
`last()`
Calls notImplemented.
`void`
`moveToCurrentRow()`
Calls notImplemented.
`void`
`moveToInsertRow()`
Calls notImplemented.
`boolean`
`next()`
`boolean`
`previous()`
Calls notImplemented.
`void`
`refreshRow()`
Calls notImplemented.
`boolean`
`relative(int rows)`
Calls notImplemented.
`boolean`
`rowDeleted()`
Calls notImplemented.
`boolean`
`rowInserted()`
Calls notImplemented.
`boolean`
`rowUpdated()`
Calls notImplemented.
`void`
`setExpectedCloseCalls(int calls)`
`void`
`setExpectedNextCalls(int calls)`
`void`
`setFetchDirection(int direction)`
Calls notImplemented.
`void`
`setFetchSize(int rows)`
Calls notImplemented.
`void`
`setupColumnNames(String[] columnNames)`
`void`
`setupMetaData(ResultSetMetaData metaData)`
`void`
`setupRows(Object[][] rows)`
`void`
`setupStatement(Statement statement)`
`void`
`setupThrowExceptionOnGet(SQLException exception)`
`void`
`updateAsciiStream(int columnIndex, InputStream x, int length)`
Calls notImplemented.
`void`
`updateAsciiStream(String columnName, InputStream x, int length)`
Calls notImplemented.
`void`
`updateBigDecimal(int columnIndex, BigDecimal x)`
Calls notImplemented.
`void`
`updateBigDecimal(String columnName, BigDecimal x)`
Calls notImplemented.
`void`
`updateBinaryStream(int columnIndex, InputStream x, int length)`
Calls notImplemented.
`void`
`updateBinaryStream(String columnName, InputStream x, int length)`
Calls notImplemented.
`void`
`updateBoolean(int columnIndex, boolean x)`
Calls notImplemented.
`void`
`updateBoolean(String columnName, boolean x)`
Calls notImplemented.
`void`
`updateByte(int columnIndex, byte x)`
Calls notImplemented.
`void`
`updateByte(String columnName, byte x)`
Calls notImplemented.
`void`
`updateBytes(int columnIndex, byte[] x)`
Calls notImplemented.
`void`
`updateBytes(String columnName, byte[] x)`
Calls notImplemented.
`void`
`updateCharacterStream(int columnIndex, Reader x, int length)`
Calls notImplemented.
`void`
`updateCharacterStream(String columnName, Reader reader, int length)`
Calls notImplemented.
`void`
`updateDate(int columnIndex, Date x)`
Calls notImplemented.
`void`
`updateDate(String columnName, Date x)`
Calls notImplemented.
`void`
`updateDouble(int columnIndex, double x)`
Calls notImplemented.
`void`
`updateDouble(String columnName, double x)`
Calls notImplemented.
`void`
`updateFloat(int columnIndex, float x)`
Calls notImplemented.
`void`
`updateFloat(String columnName, float x)`
Calls notImplemented.
`void`
`updateInt(int columnIndex, int x)`
Calls notImplemented.
`void`
`updateInt(String columnName, int x)`
Calls notImplemented.
`void`
`updateLong(int columnIndex, long x)`
Calls notImplemented.
`void`
`updateLong(String columnName, long x)`
Calls notImplemented.
`void`
`updateNull(int columnIndex)`
Calls notImplemented.
`void`
`updateNull(String columnName)`
Calls notImplemented.
`void`
`updateObject(int columnIndex, Object x)`
Calls notImplemented.
`void`
`updateObject(int columnIndex, Object x, int scale)`
Calls notImplemented.
`void`
`updateObject(String columnName, Object x)`
Calls notImplemented.
`void`
`updateObject(String columnName, Object x, int scale)`
Calls notImplemented.
`void`
`updateRow()`
Calls notImplemented.
`void`
`updateShort(int columnIndex, short x)`
Calls notImplemented.
`void`
`updateShort(String columnName, short x)`
Calls notImplemented.
`void`
`updateString(int columnIndex, String x)`
Calls notImplemented.
`void`
`updateString(String columnName, String x)`
Calls notImplemented.
`void`
`updateTime(int columnIndex, Time x)`
Calls notImplemented.
`void`
`updateTime(String columnName, Time x)`
Calls notImplemented.
`void`
`updateTimestamp(int columnIndex, Timestamp x)`
Calls notImplemented.
`void`
`updateTimestamp(String columnName, Timestamp x)`
Calls notImplemented.
`boolean`
`wasNull()`
Calls notImplemented.

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`getHoldability, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getRowId, getRowId, getSQLXML, getSQLXML, getURL, getURL, isClosed, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRowId, updateRowId, updateSQLXML, updateSQLXML`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Constructor Details

### MockMultiRowResultSet

public MockMultiRowResultSet()

### MockMultiRowResultSet

public MockMultiRowResultSet(String name)

## Method Details

### setupColumnNames

public void setupColumnNames(String[] columnNames)

### setupRows

public void setupRows(Object[][] rows)

### setupThrowExceptionOnGet

public void setupThrowExceptionOnGet(SQLException exception)

### getObject

public Object getObject(int columnIndex) throws SQLException
Used as the base implementation for getting all types of object, based on 1-based column index

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`
See Also:
  - `ResultSet.getObject(int)`

### getObject

public Object getObject(String columnName) throws SQLException
Used as the base implementation for getting all types of object, based on columnName

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`
See Also:
  - `ResultSet.getObject(int)`

### next

public boolean next() throws SQLException

Specified by:
  `next` in interface `ResultSet`
Throws:
  `SQLException`

### getRow

public int getRow() throws SQLException

Specified by:
  `getRow` in interface `ResultSet`
Throws:
  `SQLException`

### setExpectedCloseCalls

public void setExpectedCloseCalls(int calls)

### setExpectedNextCalls

public void setExpectedNextCalls(int calls)

### setupMetaData

public void setupMetaData(ResultSetMetaData metaData)

### setupStatement

public void setupStatement(Statement statement)

### close

public void close() throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `ResultSet`
Throws:
  `SQLException`

### getArray

public Array getArray(int i) throws SQLException

Specified by:
  `getArray` in interface `ResultSet`
Throws:
  `SQLException`

### getArray

public Array getArray(String colName) throws SQLException

Specified by:
  `getArray` in interface `ResultSet`
Throws:
  `SQLException`

### getAsciiStream

public InputStream getAsciiStream(int columnIndex) throws SQLException

Specified by:
  `getAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### getAsciiStream

public InputStream getAsciiStream(String columnName) throws SQLException

Specified by:
  `getAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(String columnName, int scale) throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(int columnIndex) throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(int columnIndex, int scale) throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(String columnName) throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### getBinaryStream

public InputStream getBinaryStream(int columnIndex) throws SQLException

Specified by:
  `getBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### getBinaryStream

public InputStream getBinaryStream(String columnName) throws SQLException

Specified by:
  `getBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### getBlob

public Blob getBlob(int i) throws SQLException

Specified by:
  `getBlob` in interface `ResultSet`
Throws:
  `SQLException`

### getBlob

public Blob getBlob(String colName) throws SQLException

Specified by:
  `getBlob` in interface `ResultSet`
Throws:
  `SQLException`

### getBoolean

public boolean getBoolean(int columnIndex) throws SQLException

Specified by:
  `getBoolean` in interface `ResultSet`
Throws:
  `SQLException`

### getBoolean

public boolean getBoolean(String columnName) throws SQLException

Specified by:
  `getBoolean` in interface `ResultSet`
Throws:
  `SQLException`

### getByte

public byte getByte(int columnIndex) throws SQLException

Specified by:
  `getByte` in interface `ResultSet`
Throws:
  `SQLException`

### getByte

public byte getByte(String columnName) throws SQLException

Specified by:
  `getByte` in interface `ResultSet`
Throws:
  `SQLException`

### getBytes

public byte[] getBytes(int columnIndex) throws SQLException

Specified by:
  `getBytes` in interface `ResultSet`
Throws:
  `SQLException`

### getBytes

public byte[] getBytes(String columnName) throws SQLException

Specified by:
  `getBytes` in interface `ResultSet`
Throws:
  `SQLException`

### getCharacterStream

public Reader getCharacterStream(int columnIndex) throws SQLException

Specified by:
  `getCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### getCharacterStream

public Reader getCharacterStream(String columnName) throws SQLException

Specified by:
  `getCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### getClob

public Clob getClob(int i) throws SQLException

Specified by:
  `getClob` in interface `ResultSet`
Throws:
  `SQLException`

### getClob

public Clob getClob(String colName) throws SQLException

Specified by:
  `getClob` in interface `ResultSet`
Throws:
  `SQLException`

### getDate

public Date getDate(int columnIndex) throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

### getDate

public Date getDate(String columnName) throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

### getDate

public Date getDate(int columnIndex, Calendar cal) throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

### getDate

public Date getDate(String columnName, Calendar cal) throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

### getDouble

public double getDouble(int columnIndex) throws SQLException

Specified by:
  `getDouble` in interface `ResultSet`
Throws:
  `SQLException`

### getDouble

public double getDouble(String columnName) throws SQLException

Specified by:
  `getDouble` in interface `ResultSet`
Throws:
  `SQLException`

### getFloat

public float getFloat(int columnIndex) throws SQLException

Specified by:
  `getFloat` in interface `ResultSet`
Throws:
  `SQLException`

### getFloat

public float getFloat(String columnName) throws SQLException

Specified by:
  `getFloat` in interface `ResultSet`
Throws:
  `SQLException`

### getInt

public int getInt(int columnIndex) throws SQLException

Specified by:
  `getInt` in interface `ResultSet`
Throws:
  `SQLException`

### getInt

public int getInt(String columnName) throws SQLException

Specified by:
  `getInt` in interface `ResultSet`
Throws:
  `SQLException`

### getLong

public long getLong(int columnIndex) throws SQLException

Specified by:
  `getLong` in interface `ResultSet`
Throws:
  `SQLException`

### getLong

public long getLong(String columnName) throws SQLException

Specified by:
  `getLong` in interface `ResultSet`
Throws:
  `SQLException`

### getMetaData

public ResultSetMetaData getMetaData() throws SQLException

Specified by:
  `getMetaData` in interface `ResultSet`
Throws:
  `SQLException`

### getRef

public Ref getRef(int i) throws SQLException

Specified by:
  `getRef` in interface `ResultSet`
Throws:
  `SQLException`

### getRef

public Ref getRef(String colName) throws SQLException

Specified by:
  `getRef` in interface `ResultSet`
Throws:
  `SQLException`

### getShort

public short getShort(String columnName) throws SQLException

Specified by:
  `getShort` in interface `ResultSet`
Throws:
  `SQLException`

### getShort

public short getShort(int columnIndex) throws SQLException

Specified by:
  `getShort` in interface `ResultSet`
Throws:
  `SQLException`

### getStatement

public Statement getStatement() throws SQLException

Specified by:
  `getStatement` in interface `ResultSet`
Throws:
  `SQLException`

### getString

public String getString(int columnIndex) throws SQLException

Specified by:
  `getString` in interface `ResultSet`
Throws:
  `SQLException`

### getString

public String getString(String columnName) throws SQLException

Specified by:
  `getString` in interface `ResultSet`
Throws:
  `SQLException`

### getTime

public Time getTime(int columnIndex) throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

### getTime

public Time getTime(String columnName) throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

### getTime

public Time getTime(int columnIndex, Calendar cal) throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

### getTime

public Time getTime(String columnName, Calendar cal) throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(int columnIndex) throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(String columnName) throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(int columnIndex, Calendar cal) throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(String columnName, Calendar cal) throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### getUnicodeStream

public InputStream getUnicodeStream(int columnIndex) throws SQLException

Specified by:
  `getUnicodeStream` in interface `ResultSet`
Throws:
  `SQLException`

### getUnicodeStream

public InputStream getUnicodeStream(String columnName) throws SQLException

Specified by:
  `getUnicodeStream` in interface `ResultSet`
Throws:
  `SQLException`

### getCursorName

public String getCursorName() throws SQLException

Specified by:
  `getCursorName` in interface `ResultSet`
Throws:
  `SQLException`

### getConcurrency

public int getConcurrency() throws SQLException

Specified by:
  `getConcurrency` in interface `ResultSet`
Throws:
  `SQLException`

### getFetchDirection

public int getFetchDirection() throws SQLException
Calls notImplemented. Returns 0.

Specified by:
  `getFetchDirection` in interface `ResultSet`
Throws:
  `SQLException`

### getFetchSize

public int getFetchSize() throws SQLException
Calls notImplemented. Returns 0.

Specified by:
  `getFetchSize` in interface `ResultSet`
Throws:
  `SQLException`

### getObject

public Object getObject(int i, Map map) throws SQLException
Calls notImplemented. Returns null.

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

### getObject

public Object getObject(String colName, Map map) throws SQLException
Calls notImplemented. Returns null.

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

### getType

public int getType() throws SQLException
Calls notImplemented. Returns 0.

Specified by:
  `getType` in interface `ResultSet`
Throws:
  `SQLException`

### getWarnings

public SQLWarning getWarnings() throws SQLException
Calls notImplemented. Returns null.

Specified by:
  `getWarnings` in interface `ResultSet`
Throws:
  `SQLException`

### clearWarnings

public void clearWarnings() throws SQLException
Calls notImplemented.

Specified by:
  `clearWarnings` in interface `ResultSet`
Throws:
  `SQLException`

### findColumn

public int findColumn(String columnName) throws SQLException
Calls notImplemented. Returns 0.

Specified by:
  `findColumn` in interface `ResultSet`
Throws:
  `SQLException`

### isBeforeFirst

public boolean isBeforeFirst() throws SQLException
Calls notImplemented. Returns false.

Specified by:
  `isBeforeFirst` in interface `ResultSet`
Throws:
  `SQLException`

### isAfterLast

public boolean isAfterLast() throws SQLException
Calls notImplemented. Returns false.

Specified by:
  `isAfterLast` in interface `ResultSet`
Throws:
  `SQLException`

### isFirst

public boolean isFirst() throws SQLException
Calls notImplemented. Returns false.

Specified by:
  `isFirst` in interface `ResultSet`
Throws:
  `SQLException`

### isLast

public boolean isLast() throws SQLException
Calls notImplemented. Returns false.

Specified by:
  `isLast` in interface `ResultSet`
Throws:
  `SQLException`

### beforeFirst

public void beforeFirst() throws SQLException
Calls notImplemented.

Specified by:
  `beforeFirst` in interface `ResultSet`
Throws:
  `SQLException`

### afterLast

public void afterLast() throws SQLException
Calls notImplemented.

Specified by:
  `afterLast` in interface `ResultSet`
Throws:
  `SQLException`

### first

public boolean first() throws SQLException
Calls notImplemented. Returns false.

Specified by:
  `first` in interface `ResultSet`
Throws:
  `SQLException`

### last

public boolean last() throws SQLException
Calls notImplemented. Returns false.

Specified by:
  `last` in interface `ResultSet`
Throws:
  `SQLException`

### absolute

public boolean absolute(int row) throws SQLException
Calls notImplemented. Returns false.

Specified by:
  `absolute` in interface `ResultSet`
Throws:
  `SQLException`

### relative

public boolean relative(int rows) throws SQLException
Calls notImplemented. Returns false.

Specified by:
  `relative` in interface `ResultSet`
Throws:
  `SQLException`

### previous

public boolean previous() throws SQLException
Calls notImplemented. Returns false.

Specified by:
  `previous` in interface `ResultSet`
Throws:
  `SQLException`

### setFetchDirection

public void setFetchDirection(int direction) throws SQLException
Calls notImplemented.

Specified by:
  `setFetchDirection` in interface `ResultSet`
Throws:
  `SQLException`

### setFetchSize

public void setFetchSize(int rows) throws SQLException
Calls notImplemented.

Specified by:
  `setFetchSize` in interface `ResultSet`
Throws:
  `SQLException`

### rowUpdated

public boolean rowUpdated() throws SQLException
Calls notImplemented. Returns false.

Specified by:
  `rowUpdated` in interface `ResultSet`
Throws:
  `SQLException`

### rowInserted

public boolean rowInserted() throws SQLException
Calls notImplemented. Returns false.

Specified by:
  `rowInserted` in interface `ResultSet`
Throws:
  `SQLException`

### rowDeleted

public boolean rowDeleted() throws SQLException
Calls notImplemented. Returns false.

Specified by:
  `rowDeleted` in interface `ResultSet`
Throws:
  `SQLException`

### updateNull

public void updateNull(int columnIndex) throws SQLException
Calls notImplemented.

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

### updateBoolean

public void updateBoolean(int columnIndex, boolean x) throws SQLException
Calls notImplemented.

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

### updateByte

public void updateByte(int columnIndex, byte x) throws SQLException
Calls notImplemented.

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

### updateShort

public void updateShort(int columnIndex, short x) throws SQLException
Calls notImplemented.

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

### updateInt

public void updateInt(int columnIndex, int x) throws SQLException
Calls notImplemented.

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

### updateLong

public void updateLong(int columnIndex, long x) throws SQLException
Calls notImplemented.

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

### updateFloat

public void updateFloat(int columnIndex, float x) throws SQLException
Calls notImplemented.

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

### updateDouble

public void updateDouble(int columnIndex, double x) throws SQLException
Calls notImplemented.

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

### updateBigDecimal

public void updateBigDecimal(int columnIndex, BigDecimal x) throws SQLException
Calls notImplemented.

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### updateString

public void updateString(int columnIndex, String x) throws SQLException
Calls notImplemented.

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

### updateBytes

public void updateBytes(int columnIndex, byte[] x) throws SQLException
Calls notImplemented.

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

### updateDate

public void updateDate(int columnIndex, Date x) throws SQLException
Calls notImplemented.

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

### updateTime

public void updateTime(int columnIndex, Time x) throws SQLException
Calls notImplemented.

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

### updateTimestamp

public void updateTimestamp(int columnIndex, Timestamp x) throws SQLException
Calls notImplemented.

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(int columnIndex, InputStream x, int length) throws SQLException
Calls notImplemented.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(int columnIndex, InputStream x, int length) throws SQLException
Calls notImplemented.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(int columnIndex, Reader x, int length) throws SQLException
Calls notImplemented.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(int columnIndex, Object x, int scale) throws SQLException
Calls notImplemented.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(int columnIndex, Object x) throws SQLException
Calls notImplemented.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateNull

public void updateNull(String columnName) throws SQLException
Calls notImplemented.

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

### updateBoolean

public void updateBoolean(String columnName, boolean x) throws SQLException
Calls notImplemented.

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

### updateByte

public void updateByte(String columnName, byte x) throws SQLException
Calls notImplemented.

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

### updateShort

public void updateShort(String columnName, short x) throws SQLException
Calls notImplemented.

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

### updateInt

public void updateInt(String columnName, int x) throws SQLException
Calls notImplemented.

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

### updateLong

public void updateLong(String columnName, long x) throws SQLException
Calls notImplemented.

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

### updateFloat

public void updateFloat(String columnName, float x) throws SQLException
Calls notImplemented.

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

### updateDouble

public void updateDouble(String columnName, double x) throws SQLException
Calls notImplemented.

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

### updateBigDecimal

public void updateBigDecimal(String columnName, BigDecimal x) throws SQLException
Calls notImplemented.

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### updateString

public void updateString(String columnName, String x) throws SQLException
Calls notImplemented.

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

### updateBytes

public void updateBytes(String columnName, byte[] x) throws SQLException
Calls notImplemented.

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

### updateDate

public void updateDate(String columnName, Date x) throws SQLException
Calls notImplemented.

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

### updateTime

public void updateTime(String columnName, Time x) throws SQLException
Calls notImplemented.

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

### updateTimestamp

public void updateTimestamp(String columnName, Timestamp x) throws SQLException
Calls notImplemented.

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(String columnName, InputStream x, int length) throws SQLException
Calls notImplemented.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(String columnName, InputStream x, int length) throws SQLException
Calls notImplemented.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(String columnName, Reader reader, int length) throws SQLException
Calls notImplemented.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(String columnName, Object x, int scale) throws SQLException
Calls notImplemented.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(String columnName, Object x) throws SQLException
Calls notImplemented.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### insertRow

public void insertRow() throws SQLException
Calls notImplemented.

Specified by:
  `insertRow` in interface `ResultSet`
Throws:
  `SQLException`

### updateRow

public void updateRow() throws SQLException
Calls notImplemented.

Specified by:
  `updateRow` in interface `ResultSet`
Throws:
  `SQLException`

### deleteRow

public void deleteRow() throws SQLException
Calls notImplemented.

Specified by:
  `deleteRow` in interface `ResultSet`
Throws:
  `SQLException`

### refreshRow

public void refreshRow() throws SQLException
Calls notImplemented.

Specified by:
  `refreshRow` in interface `ResultSet`
Throws:
  `SQLException`

### cancelRowUpdates

public void cancelRowUpdates() throws SQLException
Calls notImplemented.

Specified by:
  `cancelRowUpdates` in interface `ResultSet`
Throws:
  `SQLException`

### moveToInsertRow

public void moveToInsertRow() throws SQLException
Calls notImplemented.

Specified by:
  `moveToInsertRow` in interface `ResultSet`
Throws:
  `SQLException`

### moveToCurrentRow

public void moveToCurrentRow() throws SQLException
Calls notImplemented.

Specified by:
  `moveToCurrentRow` in interface `ResultSet`
Throws:
  `SQLException`

### wasNull

public boolean wasNull() throws SQLException
Calls notImplemented.

Specified by:
  `wasNull` in interface `ResultSet`
Throws:
  `SQLException`